package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class MenuVO {
   private String id;
   private String menuname;
   private String remark;
   private String parentid;
   private String flag;
   private Integer sortstring;
   private String icon;
   private String url;
   private String current;
   private String note;
   private List<MenuVO> menus;

   public MenuVO() {
   }

   public MenuVO(List<MenuVO> menus) {
      this.menus = menus;
   }

   public MenuVO(List<MenuVO> menus, String menuname, String remark, String parentid, String flag, Integer sortstring, String icon, String url) {
      this.menuname = menuname;
      this.remark = remark;
      this.parentid = parentid;
      this.flag = flag;
      this.sortstring = sortstring;
      this.icon = icon;
      this.url = url;
      this.menus = menus;
   }

   public MenuVO(String id, String menuname, String remark, String parentid, String flag, Integer sortstring, String icon, String url, String current, String note, List<MenuVO> menus) {
      this.id = id;
      this.menuname = menuname;
      this.remark = remark;
      this.parentid = parentid;
      this.flag = flag;
      this.sortstring = sortstring;
      this.icon = icon;
      this.url = url;
      this.current = current;
      this.note = note;
      this.menus = menus;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id == null ? null : id.trim();
   }

   public String getMenuname() {
      return this.menuname;
   }

   public void setMenuname(String menuname) {
      this.menuname = menuname == null ? null : menuname.trim();
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark == null ? null : remark.trim();
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid == null ? null : parentid.trim();
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag == null ? null : flag.trim();
   }

   public Integer getSortstring() {
      return this.sortstring;
   }

   public void setSortstring(Integer sortstring) {
      this.sortstring = sortstring;
   }

   public String getIcon() {
      return this.icon;
   }

   public void setIcon(String icon) {
      this.icon = icon == null ? null : icon.trim();
   }

   public String getUrl() {
      return this.url;
   }

   public void setUrl(String url) {
      this.url = url == null ? null : url.trim();
   }

   public List<MenuVO> getMenus() {
      return this.menus;
   }

   public void setMenus(List<MenuVO> menus) {
      this.menus = menus;
   }

   public String getCurrent() {
      return this.current;
   }

   public void setCurrent(String current) {
      this.current = current;
   }
}
